# GimpUi.prop_file_chooser_button_new

    @accepts(GObject.Object, unicode, unicode, Gtk.FileChooserAction)
    @returns(Gtk.Widget)
    def prop_file_chooser_button_new(config, property_name, title, action):
        # Python wrapper for gimp_prop_file_chooser_button_new()

Creates a Gtk.FileChooserButton to edit the specified path property. property_name must represent either a GIMP_PARAM_SPEC_CONFIG_PATH or a G_PARAM_SPEC_OBJECT where `value_type == G_TYPE_FILE`.

Note that Gtk.FileChooserButton implements the Gtk.FileChooser interface; you can use the Gtk.FileChooser API with it.

Since 2.4

config

  object to which property is attached.

property_name

  name of path property.

title

  the title of the browse dialog.

action

  the open mode for the widget.

Returns